Bug 1464329 - Container Review Request - waiverdb - Service for waiving results in ResultsDB
Container Review Request - waiverdb - Service for waiving results in ResultsDB
Status: CLOSED CURRENTRELEASE
Product: Fedora Container Images
Classification: Fedora
Component: Container Review (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 02:11 EDT by Dan Callaghan
Modified: 2017-07-07 00:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 00:00:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2017-06-23 02:11:35 EDT
Container Build Info URL: https://fedorapeople.org/~dcallagh/containers/waiverdb/
Description: WaiverDB is a companion service to ResultsDB, for recording waivers against test results.
Fedora Account System Username: dcallagh
Comment 1 Ralph Bean 2017-06-30 15:20:46 EDT
Some issues based on the guidelines:  https://fedoraproject.org/wiki/Container:Guidelines#Container_Guidelines

- The labels need to be first defined as ENV variables and then used in the LABELS in a second line.  The name needs to be prefixed with $FGC.
- The help file needs to be called README.md or help.1 (not help.md).
- The help file needs to be copied into the container at build time.

Can you fix those up and I can take another look?
Comment 2 Dan Callaghan 2017-07-05 00:33:24 EDT
(In reply to Ralph Bean from comment #1)
> Some issues based on the guidelines: 
> https://fedoraproject.org/wiki/Container:Guidelines#Container_Guidelines
> 
> - The labels need to be first defined as ENV variables and then used in the
> LABELS in a second line.  The name needs to be prefixed with $FGC.

Hmm yeah when I looked at the guidelines that was optional, and since nothing in the container itself would ever refer to those environment variables I figured it wasn't necessary.

But you are right, it seems mandatory now :-)

https://fedoraproject.org/w/index.php?title=Container:Guidelines&diff=495085&oldid=494489

I am still unclear as to *why*, but I haven't seen the container build service in action yet so I'll just assume it is needed for that.

> - The help file needs to be called README.md or help.1 (not help.md).
> - The help file needs to be copied into the container at build time.

Same here... I was reading the container guidelines in conjunction with a thread on an internal mailing list where there was some conflicting advice offered about this... I had thought that help.md would be magically transformed into help.1 *and* copied into the container for me by the build service. But you are right, the container guidelines don't support that assumption.

> Can you fix those up and I can take another look?

Will do! Updated version to come shortly.
Comment 3 Dan Callaghan 2017-07-05 01:30:02 EDT
Second attempt: https://fedorapeople.org/~dcallagh/containers/waiverdb-attempt2/

* renamed help.md to README.md and COPY'd it into the root of the container image
* updated ENV and LABEL declarations as per the example in the guidelines (except I left out the arch since WaiverDB is in Python and should work on all arches)

(There actually *is* a README.md file in that directory, but it's not shown in the directory listing for some reason... probably because Apache is interpreting it as a directory README or something???)
Comment 4 Ralph Bean 2017-07-05 11:55:45 EDT
Thanks.  Looks good to me.  :)
Comment 5 Dan Callaghan 2017-07-07 00:00:55 EDT
This container image is now built! For rawhide, f26, and f25.

$ sudo docker pull candidate-registry.fedoraproject.org/f25/waiverdb:latest

It's still living on candidate-registry.fedoraproject.org, I'm not sure if/how it gets promoted to registry.fedoraproject.org since I guess Bodhi doesn't know about container images... but that is something to figure out later.

Note You need to log in before you can comment on or make changes to this bug.